﻿Partial Public Class Patients
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub Patients_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded

        Try

            'Obtenim la llista de tots els Pacients

            MainPage.obj_WCF.GetPatientsAsync("", "")
            AddHandler MainPage.obj_WCF.GetPatientsCompleted, AddressOf GetPatientsAsync_Completed

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub GetPatientsAsync_Completed(ByVal sender As Object, ByVal e As GlucoGuardian_WCF.GetPatientsCompletedEventArgs)

        Try

            'Carreguem la llista de pacients en el combo

            cmbPatients.ItemsSource = e.Result.ToList()

            GetPatientResults()

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub GetResultsAsync_Completed(ByVal sender As Object, ByVal e As GlucoGuardian_WCF.GetResultsCompletedEventArgs)

        Try

            'Quan tenim la llista de resultats d'un pacient els mostrem per pantalla

            jmpResults.ItemsSource = e.Result.ToList()

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub GetPatientResults()

        Try

            'Obtenim la llista de resultats d'un determinat pacient

            MainPage.obj_WCF.GetResultsAsync("GG_results.PAT_id_patient=" & DirectCast(cmbPatients.SelectedItem, GlucoGuardian_WCF.GG_patients).PAT_id_patient & " AND RES_type='RES'", "RES_date DESC")
            AddHandler MainPage.obj_WCF.GetResultsCompleted, AddressOf GetResultsAsync_Completed

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub cmbPatients_SelectionChanged(sender As Object, e As System.Windows.Controls.SelectionChangedEventArgs) Handles cmbPatients.SelectionChanged

        Try

            'Cada vegada que seleccionem un pacient diferent n'obtenim els seus resultats

            GetPatientResults()

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

End Class
