﻿Partial Public Class MainPage
    Inherits PhoneApplicationPage

    Public Shared obj_Localization As New LocalizedStrings
    Public Shared userLoged As New GlucoGuardian_WCF.GG_users
    Public Shared obj_WCF As New GlucoGuardian_WCF.GG_ServiceClient

    ' Constructor
    Public Sub New()
        InitializeComponent()
        obj_WCF.Endpoint.Address = New System.ServiceModel.EndpointAddress("http://WIN-MHG1PQE6YOM/WebServices/GlucoGuardian_WCF/GlucoGuardian_WCF.GG_Service.svc")
    End Sub

    Private Sub btnLogin_Click(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles btnLogin.Click

        Try

            'Comprovem si la combinació d'usuari i contrasenya existeix a la BD 

            obj_WCF.GetUsersAsync("USE_login='" & txtUser.Text & "' AND USE_active=1 AND USE_password='" & txtPassword.Password & "'", "")
            AddHandler obj_WCF.GetUsersCompleted, AddressOf GetUsersAsync_Completed

            lblMessages.Text = obj_Localization.AppResources.msg_Identifying

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub GetUsersAsync_Completed(ByVal sender As Object, ByVal e As GlucoGuardian_WCF.GetUsersCompletedEventArgs)

        Try

            'Si s'ha trobat l'usuari i la contrasenya coincideix naveguem a la pantalla de Menú principal
            If e.Result.Count <> 0 Then

                userLoged = e.Result(0)

                lblMessages.Text = ""

                NavigationService.Navigate(New Uri("/Menu.xaml", UriKind.Relative))

            Else

                'Si no s'ha trobat l'usuari presentem un missatge per pantalla

                lblMessages.Text = String.Format(obj_Localization.AppResources.msg_UserNotExists, txtUser.Text)

            End If

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

End Class
