﻿Partial Public Class Menu
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub Menu_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded

        Try

            'Obtenim la llista de missatges que ha rebut l'usuari

            MainPage.obj_WCF.GetDestinationsAsync("USE_id_user_dest=" & MainPage.userLoged.USE_id_user & " AND MSD_status='RECEIVED'", "")
            AddHandler MainPage.obj_WCF.GetDestinationsCompleted, AddressOf GetDestinationsAsync_Completed

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub btnPatients_MouseLeftButtonDown(sender As System.Object, e As System.Windows.Input.MouseButtonEventArgs) Handles btnPatients.MouseLeftButtonDown

        Try

            'Naveguem a la pantalla de Pacients

            NavigationService.Navigate(New Uri("/Patients.xaml", UriKind.Relative))

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub btnMessages_MouseLeftButtonDown(sender As System.Object, e As System.Windows.Input.MouseButtonEventArgs) Handles btnMessages.MouseLeftButtonDown

        Try

            'Naveguem a la pantalla de Missatges

            NavigationService.Navigate(New Uri("/Messages.xaml", UriKind.Relative))

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub btnCalculator_MouseLeftButtonDown(sender As System.Object, e As System.Windows.Input.MouseButtonEventArgs) Handles btnCalculator.MouseLeftButtonDown

        Try

            'Naveguem a la pantalla de Calculadora d'insulina

            NavigationService.Navigate(New Uri("/Calculator.xaml", UriKind.Relative))

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub GetDestinationsAsync_Completed(ByVal sender As Object, ByVal e As GlucoGuardian_WCF.GetDestinationsCompletedEventArgs)

        Try

            'Quan el Servei ens retorna els missatges pendents els mostrem a l'usuari

            txtMessagesNotReaded1.Text = e.Result.ToList().Count
            txtMessagesNotReaded2.Text = e.Result.ToList().Count

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

End Class
