﻿Partial Public Class Messages
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub Messages_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded

        Try

            'Obtenim la llista de missatges que ha rebut l'usuari

            MainPage.obj_WCF.GetDestinationsAsync("USE_id_user_dest=" & MainPage.userLoged.USE_id_user, "MSG_date DESC")
            AddHandler MainPage.obj_WCF.GetDestinationsCompleted, AddressOf GetDestinationsAsync_Completed

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub GetDestinationsAsync_Completed(ByVal sender As Object, ByVal e As GlucoGuardian_WCF.GetDestinationsCompletedEventArgs)

        Try

            'Quan el Servei ens retorna els missatges els assignem a la llista

            jmpMessages.ItemsSource = e.Result.ToList()

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub jmpMessages_SelectionChanged(sender As Object, e As System.Windows.Controls.SelectionChangedEventArgs) Handles jmpMessages.SelectionChanged

        Try

            'Quan seleccionem un Missatge en mostrem el contingut i el marquem com al llegit

            Dim currentMessage As New GlucoGuardian_WCF.GG_destinations
            currentMessage = DirectCast(jmpMessages.SelectedItem, GlucoGuardian_WCF.GG_destinations)

            MainPage.obj_WCF.GetMessagesAsync("MSG_id_message=" & currentMessage.MSG_id_message, "MSG_date DESC")
            AddHandler MainPage.obj_WCF.GetMessagesCompleted, AddressOf GetMessagesAsync_Completed

            MainPage.obj_WCF.ExecuteSQLAsync("UPDATE GG_destinations SET MSD_status='READED' WHERE MSG_id_message=" & currentMessage.MSG_id_message & " AND USE_id_user_dest=" & currentMessage.USE_id_user_dest)
            AddHandler MainPage.obj_WCF.ExecuteSQLCompleted, AddressOf ExecuteSQLAsync_Completed

            DirectCast(jmpMessages.SelectedItem, GlucoGuardian_WCF.GG_destinations).MSD_status = "READED"

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub GetMessagesAsync_Completed(ByVal sender As Object, ByVal e As GlucoGuardian_WCF.GetMessagesCompletedEventArgs)

        Try

            'Seleccionem les dades del missatge seleccionat i les mostrem a l'usuari

            Dim currentMessage As New GlucoGuardian_WCF.GG_messages
            currentMessage = DirectCast(e.Result.ToList()(0), GlucoGuardian_WCF.GG_messages)

            txtMessage.Text = MainPage.obj_Localization.AppResources.msg_Sender & ": " & currentMessage.USE_login & vbCrLf & MainPage.obj_Localization.AppResources.msg_Subject & ": " & currentMessage.MSG_subject & vbCrLf & currentMessage.MSG_message


        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

    Private Sub ExecuteSQLAsync_Completed(ByVal sender As Object, ByVal e As GlucoGuardian_WCF.ExecuteSQLCompletedEventArgs)

        Try

            'No cal fer res quan hem actualitzat la BD

        Catch ex As Exception

            Console.WriteLine(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString & ": " & ex.Message)

        End Try

    End Sub

End Class
