﻿Imports GlucoGuardian.Business.Logic.Objects
Imports Telerik.Windows.Controls
Imports System.Threading

Class Login

    Private Sub btnLogin_Click(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles btnLogin.Click

        Dim lstUsers As New List(Of GG_users)

        Try

            'Comprovem si existeix un usuari amb la contrasenya introduïda

            lstUsers = Main.obj_DAO.GetUsers("USE_login='" & txtUser.Text & "' AND USE_active=1 AND USE_password='" & txtPassword.Password & "'", "")

            If lstUsers.Count <> 0 Then

                'Si existeix mostrem el menú principal i obtenim la configuració de l'usuari

                Main.ChangeMainMenu("Menu.xaml")

                Main.logedUser = lstUsers(0)
                Main.userConfig = Main.obj_DAO.GetConfigurations("GG_configuration.USE_id_user =" & Main.logedUser.USE_id_user, "")

                'Inicialitzem els períodes de la configuració de l'usuari
                InitializePeriods(Main.GetVariable("General", "Periods"))

                Main.SaveLog(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString, "User loged: " & txtUser.Text)

            Else

                'Si no existeix presentem un missatge d'error

                Main.ShowMessage(vbCrLf & String.Format(My.Resources.Resource.msg_UserNotExists, txtUser.Text))

                Main.SaveLog(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString, "User login failed: " & txtUser.Text)

            End If

        Catch ex As Exception

            Main.ExceptionManagement(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString, ex)

        End Try

    End Sub

    Private Sub Login_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Me.Loaded

        Try

            'Al inicializar la finestra posem el focus sobre el txt d'usuari

            InitializeComponent()
            txtUser.Focus()

        Catch ex As Exception

            Main.ExceptionManagement(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString, ex)

        End Try

    End Sub

    Private Sub txtPassword_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Input.KeyEventArgs) Handles txtPassword.KeyDown

        'Si es detecta un ENTER dins el txt del password fem el login de l'usuari

        Try

            If e.Key.ToString = "Return" Then

                btnLogin_Click(New Object, New RoutedEventArgs)

            End If

        Catch ex As Exception

            Main.ExceptionManagement(System.Reflection.MethodBase.GetCurrentMethod.Name.ToString, ex)

        End Try

    End Sub

End Class
