﻿Imports GlucoGuardian.Business.Logic.Objects

Public Class DAO

    Public Shared WCF As New GlucoGuardian_WCF.GG_ServiceClient

    Public Shared Sub SetWebService(ByVal strURL As String)

        WCF.Endpoint.Address = New System.ServiceModel.EndpointAddress(strURL)

    End Sub

    Public Shared Function ExecuteSQL(ByVal strInstruction As String) As Integer

        Dim intReturnValue As Integer

        Try

            intReturnValue = WCF.ExecuteSQL(strInstruction)

        Catch ex As Exception

            Throw ex

        End Try

        Return intReturnValue

    End Function

    Public Shared Function GetSQL(ByVal strInstruction As String) As String

        Dim strReturnValue As String

        Try

            strReturnValue = WCF.GetSQL(strInstruction)

        Catch ex As Exception

            Throw ex

        End Try

        Return strReturnValue

    End Function

    Public Shared Function GetAnalyzers(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_analyzers)

        Dim objList As New List(Of GG_analyzers)

        Try

            objList = WCF.GetAnalyzers(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function GetConfigurations(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_configuration)

        Dim objList As New List(Of GG_configuration)

        Try

            objList = WCF.GetConfigurations(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function GetDestinations(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_destinations)

        Dim objList As New List(Of GG_destinations)

        Try

            objList = WCF.GetDestinations(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function GetLogs(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_logs)

        Dim objList As New List(Of GG_logs)

        Try

            objList = WCF.GetLogs(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function GetMessages(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_messages)

        Dim objList As New List(Of GG_messages)

        Try

            objList = WCF.GetMessages(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function GetPatients(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_patients)

        Dim objList As New List(Of GG_patients)

        Try

            objList = WCF.GetPatients(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function GetResults(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_results)

        Dim objList As New List(Of GG_results)

        Try

            objList = WCF.GetResults(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function GetSections(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_sections)

        Dim objList As New List(Of GG_sections)

        Try

            objList = WCF.GetSections(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function GetServices(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_services)

        Dim objList As New List(Of GG_services)

        Try

            objList = WCF.GetServices(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function GetTests(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_tests)

        Dim objList As New List(Of GG_tests)

        Try

            objList = WCF.GetTests(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function GetUnits(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_units)

        Dim objList As New List(Of GG_units)

        Try

            objList = WCF.GetUnits(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function GetUsers(ByVal strCondition As String, ByVal strOrder As String) As List(Of GG_users)

        Dim objList As New List(Of GG_users)

        Try

            objList = WCF.GetUsers(strCondition, strOrder)

        Catch ex As Exception

            Throw ex

        End Try

        Return objList

    End Function

    Public Shared Function InsertUserLogo(ByVal obj_User As GG_users) As Integer

        Dim intReturnValue As Integer

        Try

            intReturnValue = WCF.InsertUserLogo(obj_User)

        Catch ex As Exception

            Throw ex

        End Try

        Return intReturnValue

    End Function

End Class
