﻿Imports GlucoGuardian.Business.Logic.Objects

<ServiceContract()>
Public Interface IGG_Service

    <OperationContract()> _
    Function ExecuteSQL(ByVal strInstruction As String) As Integer

    <OperationContract()> _
    Function GetSQL(ByVal strInstruction As String) As String

    <OperationContract()>
    Function GetAnalyzers(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_analyzers)

    <OperationContract()>
    Function GetConfigurations(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_configuration)
    
    <OperationContract()>
    Function GetDestinations(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_destinations)

    <OperationContract()>
    Function GetLogs(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_logs)

    <OperationContract()>
    Function GetMessages(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_messages)

    <OperationContract()>
    Function GetPatients(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_patients)

    <OperationContract()>
    Function GetResults(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_results)

    <OperationContract()>
    Function GetSections(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_sections)

    <OperationContract()>
    Function GetServices(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_services)

    <OperationContract()>
    Function GetTests(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_tests)

    <OperationContract()>
    Function GetUnits(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_units)

    <OperationContract()>
    Function GetUsers(ByVal strCondition As String, ByVal strOrder As String) As IEnumerable(Of GG_users)

    <OperationContract()>
    Function InsertUserLogo(ByVal obj_User As GG_users) As Integer

End Interface
